/*
  ** LCDI2C_Multilingual header **
  All classes for printing multilingual
  UTF-8 strings (NFC normalized) to I2C LCD.  
  You can include this whole header file or each separate header files
  for language compositions used in your program

  ** Credentials **
  Author:  Loc P. Le <phuocloc@gmail.com>
  Updated: April 27 2024

  ** Help **
  https://github.com/locple/LCDI2C_Multilingual
*/

#ifndef LCDI2C_Multilingual_h
#define LCDI2C_Multilingual_h

#include "LCDI2C_Generic.h"
#include "LCDI2C_Latin.h"
#include "LCDI2C_Russian.h"
#include "LCDI2C_RussianLatin.h"
#include "LCDI2C_Katakana.h"
#include "LCDI2C_Symbols.h"
#include "LCDI2C_Vietnamese.h"
#include "LCDI2C_Latin_Symbols.h"
#include "LCDI2C_Latin_Vietnamese.h"
#include "LCDI2C_Russian_Symbols.h"
#include "LCDI2C_Russian_Vietnamese.h"
#include "LCDI2C_RussianLatin_Symbols.h"
#include "LCDI2C_RussianLatin_Vietnamese.h"
#include "LCDI2C_Katakana_Symbols.h"
#include "LCDI2C_Katakana_Vietnamese.h"

#endif // LCDI2C_Multilingual_h