#include <Arduino.h>
#include <Wire.h>

// for bluetooth module
#include <SoftwareSerial.h>

#include <SPI.h>
#include <SD.h>

#include <LCDI2C_Multilingual.h>

#define AT_CONFIG_BAUD    38400
#define AT_MODE_BAUD      19200
#define SERIAL_BAUD       19200

#define INQ_FORMAT        "AT+INQ"
#define PAIR_FORMAT       "AT+PAIR="
#define BIND_FORMAT       "AT+BIND="
#define LINK_FORMAT       "AT+LINK="

int display_mode = 0;
bool next_display = false;

// put function declarations here:
int myFunction(int, int);
void printDirectory(File, int);

void extract_addr(char *buf, char *addr) {
  char *ptr = strstr(buf, "INQ:");
  if (!ptr) return;
  ptr += 4;
  char *end = strchr(ptr, ',');
  if (end) {
    strncpy(addr, ptr, end - ptr);
    addr[end - ptr] = '\0';
  }
  // Serial.print(ptr - buf);
  // Serial.print(" ");
  // Serial.println(end - buf);
}

SoftwareSerial BTSerial(9, 10); // RX | TX
LCDI2C_Generic lcd(0x27, 16, 2);

Sd2Card card;
SdVolume volume;
File root;
File addrf;

float inq_timer = 0.f;
float last_time = 0.f;
char multamuie[50];

void fill_args_at(char *buffer, const char *format, const char *args) {
  strcpy(buffer, format);
  strcat(buffer, args);
}

bool validate_addr_format(const char *addr) {
  return strlen(addr) == 15 && addr[4] == ':' && addr[7] == ':';
}

void write_to_file(const char *addr, File file) {
  if (!validate_addr_format(addr)) return;
  Serial.print("valid format");
//   file.close();
//   file = SD.open("/banned", FILE_WRITE);
//   file.seek(file.size());
//   file.print(addr);
//   file.print("\n");
//   file.close();
//   file = SD.open("/banned", FILE_READ);
}

bool address_existing(const char *addr, File file) {
  char line[50];
  file.seek(0);
  while (file.available()) {
    file.readBytesUntil('\n', line, 50);
    if (strcmp(line, addr) == 0) {
      return true;
    }
  }
  return false;
}

void next_addr_file(char *current, File file) {
  char line[50];
  char copy[20];
  strcpy(copy, current);
  for (int i = 0; i < 20; i++) {
    current[i] = '\0';
  }
  
  file.seek(0);
  while (file.available()) {
    file.readBytesUntil('\n', line, 50);
    if (strncmp(line, copy, 16) == 0) {
      Serial.println("comparing strings");
      Serial.println(line);
      Serial.println(current);
      size_t count = file.readBytesUntil('\n', current, 16);
      current[count] = '\0';
      return;
    }
  }

  file.seek(0);
  size_t count = file.readBytesUntil('\n', current, 16);
  current[count] = '\0';
}

int find_i2c_addr() {
  byte error, address;
  int nDevices;

  Serial.println("Scanning...");

  nDevices = 0;
  for(address = 1; address < 127; address++ ) {
    // The i2c_scanner uses the return value of
    // the Write.endTransmisstion to see if
    // a device did acknowledge to the address.
    Wire.beginTransmission(address);
    error = Wire.endTransmission();

    if (error == 0) {
      Serial.print("I2C device found at address 0x");
      if (address<16)
        Serial.print("0");
      Serial.print(address,HEX);
      Serial.println("  !");

      nDevices++;
    }
    else if (error==4) {
      Serial.print("Unknown error at address 0x");
      if (address<16)
        Serial.print("0");
      Serial.println(address,HEX);
    }
  }
  if (nDevices == 0)
    Serial.println("No I2C devices found\n");
  else
    Serial.println("done\n");

  return nDevices;
}

unsigned short i = 0;
char current[20] = {};

void setup() {
  // put your setup code here, to run once:
  // int result = myFunction(2, 3);
  pinMode(8, OUTPUT);
  pinMode(2, INPUT_PULLUP);
  pinMode(3, INPUT_PULLUP);
  digitalWrite(8, LOW); // start in AT MODE
  Serial.begin(SERIAL_BAUD);

  BTSerial.begin(AT_MODE_BAUD);

  if (!SD.begin(4)) {
    Serial.println("initialization failed!");
    return;
  }
  // root = SD.open("/");
  // printDirectory(root, 0);
  addrf = SD.open("banned", FILE_READ);

  // print contents of addrf, and reset cursor
  while (addrf.available()) {
    Serial.write(addrf.read());
  }
  addrf.seek(0);

  // find_i2c_addr();

  lcd.init();
  lcd.backlight();

  lcd.setCursor(0, 0);
  lcd.print("bober kurwa");
  // lcd.clear();


  delay(1000);
  Serial.println("enter AT commands:");
  digitalWrite(8, HIGH); // start taking AT commands
}
char response[50] = {};
static bool reset2 = false, reset3 = false;
void loop() {
  // put your main code here, to run repeatedly:

  // // print to serial, hello world
  // Serial.println("Hello World");
  // delay(1000);

  // // scan for nearby bluetooth devices
  // BTSerial.println("AT+IRQ");
  // // if any device found, send back the name of the device
  
  char addr[20] = {};
  bool skip = true;
  while (BTSerial.available()) {
    char c = BTSerial.read();
    {
      response[i] = c;
      i++;
    }
    Serial.print(c);
    if (c == '\n' || c == '\r')
      skip = false;
  }
  if (skip) goto skip;
  strcpy(multamuie, response);
  i = 0;
  // if (i > 0)
    // Serial.print(multamuie);

  if (Serial.available()) {
    char c = Serial.read();
    BTSerial.print(c);
  }

  // fill_args_at(multamuie, "AT+RNAME?", "d049,7c,50626e");
  // fill_args_at(multamuie, "AT+RNAME?", "f0a6,54,2acece");
  // BTSerial.println(multamuie);

  extract_addr(multamuie, addr);
  // if (strlen(addr) > 0) {
  //   if (!address_existing(addr, addrf)) {
  //     write_to_file(addr, addrf);
  //   }
  // }

  
  // BTSerial.print("AT+RNAME?3053,c1,199ede\r\n");
  // 3053:C1:199EDE
  // BTSerial.write("AT+STATE");
  // if (BTSerial.available()) {
  //   Serial.write(BTSerial.read());
  // }

  // check pins 2 and 3 (they are input, buttons)
  // if they are pressed, print to serial once

skip:;
  if (digitalRead(2) == LOW && !reset2) {
    // Serial.println("Button 2 pressed");
    lcd.clear();
    display_mode = (display_mode + 1) % 2;
    reset2 = true;
  }
  if (digitalRead(3) == LOW && !reset3) {
    // Serial.println("Button 3 pressed");
    reset3 = true;
    next_addr_file(current, addrf);
  }
  if (digitalRead(2) == HIGH && reset2) {
    reset2 = false;
    lcd.clear();
  }
  if (digitalRead(3) == HIGH && reset3) {
    reset3 = false;
    lcd.clear();
  }

  if (display_mode == 0) {
    lcd.setCursor(0, 0);
    lcd.print("Device found:");
    lcd.setCursor(0, 1);
    lcd.print(addr);
  } else {
    lcd.setCursor(0, 0);
    lcd.print("current address");
    lcd.setCursor(0, 1);
    lcd.print(current);
  }
}

void printDirectory(File dir, int numTabs) {
  while (true) {

    File entry =  dir.openNextFile();
    if (! entry) {
      // no more files
      break;
    }
    for (uint8_t i = 0; i < numTabs; i++) {
      Serial.print('\t');
    }
    Serial.print(entry.name());
    if (entry.isDirectory()) {
      Serial.println("/");
      printDirectory(entry, numTabs + 1);
    } else {
      // files have sizes, directories do not
      Serial.print("\t\t");
      Serial.println(entry.size(), DEC);
    }
    entry.close();
  }
}
